Skip to main content
`Ctrl`+`K`

# PCGAMGSetLowMemoryFilter

Use low memory graph/matrix filter

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetLowMemoryFilter(PC pc, PetscBool b)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- b - default false

## Options Database Key

- -pc_gamg_low_memory_threshold_filter <bool,default=false> - Use low memory graph/matrix filter

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, `PCGAMG`, `PCGAMGSetThreshold()`, `PCGAMGSetAggressiveLevels()`, `PCGAMGMISkSetAggressive()`, `PCGAMGSetAggressiveSquareGraph()`, `PCGAMGMISkSetMinDegreeOrdering()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/agg.c

## Examples

src/ksp/ksp/tutorials/ex56.c

## Implementations

PCGAMGSetLowMemoryFilter_AGG() in src/ksp/pc/impls/gamg/agg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages